<?php
// +----------------------------------------------------------------------+
// | PHP version 4                                                        |
// +----------------------------------------------------------------------+
// | Copyright (c) 1997-2005 Snapshot Inc.                                |
// +----------------------------------------------------------------------+
// | License                                                              |
// | GNU General Public License                                           |
// +----------------------------------------------------------------------+
// | Authors: Mai Kawasaki                                                |
// +----------------------------------------------------------------------+
//
// $Id: InputView_error.class.php,v 1.1 2005/06/20 09:31:24 snapshot Exp $
//
// Description:
// 2005/05/19
//

/** 
*	InputView.class.php
*	Mai Kawasaki
*	2005/05/19
*/

/** 
*	InputView
*/
class InputView extends View {

    function & execute (&$controller, &$request, &$user) {

        $renderer =& new Renderer($controller, $request, $user);
        
        $renderer->setAttribute('error', $request->getAttribute('error'));
        $renderer->setAttribute('aid', $request->getAttribute('aid'));
        $renderer->setAttribute('uid', $request->getAttribute('uid'));
        $renderer->setAttribute('pass', $request->getAttribute('pass'));
        $renderer->setAttribute('pass2', $request->getAttribute('pass2'));
        $renderer->setAttribute('mail', $request->getAttribute('mail'));
        $renderer->setAttribute('name', $request->getAttribute('name'));
        $renderer->setAttribute('number', $request->getAttribute('number'));
        $renderer->setAttribute('year', $request->getAttribute('year'));
        $renderer->setAttribute('subjects', $request->getAttribute('subjects'));
        $renderer->setAttribute('subjects_user', $request->getAttribute('subjects_user'));
        $renderer->setAttribute('admin', $request->getAttribute('admin'));
        $renderer->setAttribute('type', $request->getAttribute('type'));

		if( $request->getAttribute('type') == 'mobile'){
	        $renderer->setTemplate('Input_error.php');
		} else {
	        $renderer->setTemplate('Input_error_pc.php');
		}

        return $renderer;

    }

}

?>